<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

class DBWorkFreiWaehlbareEingabefelder4Belegung extends DBWorkFreiWaehlbareEingabefelder
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->_hoechsteNrInGrundsys = 6;
    $this->_feldnameBezeichnungInGrundsys = 'HistorieKrit';
    $this->_feldnameBezeichnungInHlGrundsys = $this->_feldnameBezeichnungInGrundsys;
    $this->_feldnameTypInGrundsys = 'BTYP';
    $this->_feldnameTypInHlGrundsys = $this->_feldnameTypInGrundsys;
    $this->_typ4freifeld = 'B';
    $this->_nameImDatamodul = 'historiekrit';
  }

  public static function getValue4BeleghistorienField($pValue, $pLfdNr)
  {
    $result = $pValue;
    static $dbwFreiWaehlbareEingabefelder = null;
    if (is_null($dbwFreiWaehlbareEingabefelder)) {
      $dbwFreiWaehlbareEingabefelder = new DBWorkFreiWaehlbareEingabefelder4Belegung(1, true);
    }
    $freiWaehlbareFelder = $dbwFreiWaehlbareEingabefelder->getFreiWaehlbareFelder();
    $type = $freiWaehlbareFelder[$pLfdNr - 1]->typ;
    $typ = StringOperations::substr($type, 0, 1);
    switch ($typ) {
      case 'C':
        if ($result) {
          $result = 'W';
        }
    }

    return $result;
  }
}